# projectsEvaluated

abstract fun projectsEvaluated(closure: Closure)

Adds a closure to be called when all projects for the build have been evaluated. The project objects are fully configured and are ready to use to populate the task graph. This `Gradle` instance is passed to the closure as a parameter.

#### Parameters

closure

The closure to execute.

abstract fun projectsEvaluated(action: Action<in Gradle>)

Adds an action to be called when all projects for the build have been evaluated. The project objects are fully configured and are ready to use to populate the task graph.

#### Since

3.4

#### Parameters

action

The action to execute.